Skip to content

List reports

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/reports

List all tax reports with filtering.

page
Page
integer
default: 1 >= 1
page_size
Page Size
integer
default: 20 >= 1 <= 100
report_type
Any of:
string
status
Any of:
string
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

Examples

Report list response

{
"items": [
{
"id": "f29ac55b-bf47-422f-a82b-c488b90e31f3",
"report_name": "VAT Monthly Jan 2026",
"report_type": "MONTHLY_VAT",
"period_start": "2026-01-01",
"period_end": "2026-01-31",
"status": "COMPLETED"
}
],
"total": 1
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}